omniNames(8)

NAME
omniNames - omniORB Naming Service

SYNOPSIS
omniNames [-start <port>]

DESCRIPTION
omniNames is omniORB's implementation of the OMG's COS Naming Service Specification. When started for the first time, omniNames needs to be told which port it should listen on. This is specified with the -start option. Subsequently, omniNames will always determine its port from the log file which it writes. When omniNames starts up successfully it writes the stringified object reference for its root context on standard error.

ENVIRONMENT VARIABLES

OMNINAMES_LOGDIR
    the directory in which log files are kept.

OMNINAMES_ITBC
    the idle time between checkpoints in seconds. It defaults to 15 minutes.

SEE ALSO
nameclt(1)

AUTHOR
Tristan Richardson, ORL (Olivetti & Oracle Research Laboratory)